dawn_view_06:detector:
  extends: .views
  script:
    - ./bin/make_dawn_views -t view06 -d scripts/view6 -D
dawn_view_06:ev001:
  extends: .views
  rules:
    - if: '$DETECTOR_EVENT_VIEWS == "ON"'
  script:
    - ./bin/make_dawn_views -t view06_ev001 -d scripts/view6 -s 1
dawn_view_06:ev002:
  extends: .views
  rules:
    - if: '$DETECTOR_EVENT_VIEWS == "ON"'
  script:
    - ./bin/make_dawn_views -t view06_ev002 -d scripts/view6 -s 2
dawn_view_06:ev003:
  extends: .views
  rules:
    - if: '$DETECTOR_EVENT_VIEWS == "ON"'
  script:
    - ./bin/make_dawn_views -t view06_ev003 -d scripts/view6 -s 3
dawn_view_06:ev004:
  extends: .views
  rules:
    - if: '$DETECTOR_EVENT_VIEWS == "ON"'
  script:
    - ./bin/make_dawn_views -t view06_ev004 -d scripts/view6 -s 4

view_06:
  stage: collect
  rules:
    - if: '$CI_SERVER_HOST == "eicweb.phy.anl.gov"' 
  needs:
    - job: dawn_view_06:detector
      optional: false
    - job: dawn_view_06:ev001
      optional: true
    - job: dawn_view_06:ev002
      optional: true
    - job: dawn_view_06:ev003 
      optional: true
    - job: dawn_view_06:ev004
      optional: true
    #- ["dawn_view_06:detector", "dawn_view_06:ev001", "dawn_view_06:ev002", "dawn_view_06:ev003", "dawn_view_06:ev004"]
  script:
    - ls -lrth *
    - ls -lrth images/*

